#ifndef _UTILS_H_
#define _UTILS_H_

#include <nds.h>

inline void order(int & x1, int & y1, int & x2, int & y2)
{
    int tmp;

    if ( x1 > x2 ) {
	tmp = x1;
	x1 = x2;
	x2 = tmp;
    }

    if ( y1 > y2 ) {
	tmp = y1;
	y1 = y2;
	y2 = tmp;
    }
}

#define RGB(r, g, b) ((r>>3) | ((g>>3)<<5) | ((b>>3)<<10) | (1<<15)) 

#define ATTR2_TILE(x) (x & 1023)

#define MAP_TILE(x) (x & 1023)
#define MAP_HFLIP (1<<10)
#define MAP_VFLIP (1<<11)
#define MAP_PAL(x) ((x)<<12)

#define FRAMES_PER_SECOND 60

#define oam ((SpriteEntry *) OAM)
#define oam_sub ((SpriteEntry *) OAM_SUB)

#endif
